docs / api / vin / vehicle-history

Vehicle History API

The Vehicle History API enables access to the raw vehicle history data behind the VinAudit Vehicle History Report, covering both the United States and Canada. It requires an API bulk access account configured to include the desired response parameters. With an API-enabled account you can login to access your API key. From there, your application can access data by making HTTPS requests to our API server (api.vinaudit.com). The output can be formatted in JSON, XML, or downloaded as a PDF. Check full documentation below.

GET
https://api.vinaudit.com/v2/pullreport

Request Parameters

Parameter

id

required

Example

Description

A unique report ID for this report request

Parameter

vin

required

Example

1VXBR12EXCP901214

Description

The vehicle identification number

Parameter

user

required

Example

va

Description

The account username

Parameter

pass

required

Example

test

Description

The account password*

Parameter

key

required

Example

VA_DEMO_KEY

Description

Your account’s API key

Parameter

format

required

Example

json

Description

Output format (json, xml or pdf)

Parameter

type

optional

Example

CAN

Description

Set to (USA or CAN); requires format=pdf

Parameter

mode

optional

Example

test

Description

Set to test for development

Parameter

callback

optional

Example

OnVinQueryData

Description

A javascript callback method name; requires format=json

Parameter

brand

optional

Example

1

Description

Set to 0 to produce unbranded PDF; requires format=pdf

Parameter

lang

optional

Example

en

Description

Set to language code (en, es) for translated PDF; requires format=pdf

Response Attributes

Field

id

Type

T46848493729

Description

The unique report identifier

Field

vin

Type

1VXBR12EXCP901214

Description

The vehicle identification number

Field

date

Type

2020-07-10 14:07:09 PDT

Description

The date and time the report was pulled

Field

attributes

Type

{“vin”:”1VXBR12EXCP901214″, “year”:”2005″, “make”:”Toyota”, “model”:”Corolla”, “trim”:”CE”, “engine”:”1.8L L4 DOHC 16V”, “made_in”:”Japan”, “style”:”Sedan (4-Door)”, “steering_type”:”R&P”, “anti-brake_system”:”4-Wheel ABS”, “fuel_type”:”regular unleaded”, “fuel_capacity”:”17.00 gallons”, “gross_vehicle_weight_rating”:”5070″, “overall_height”:”58.50 in.”, “overall_length”:”178.30 in.”, “overall_width”:”66.90 in.”, “standard_seating”:”5″, “optional_seating”:”No data”, “highway_mileage”:”38 – 41 miles/gallon”, “city_mileage”:”30 – 32 miles/gallon”, “invoice_price”:”$22,275″, “manufacturer_suggested_retail_price”: “$23,900”]

Description

A dynamic map of available vehicle attributes

Field

titles

Type

[{‘date’:’2011-08-31′, ‘state’:’WA’, ‘vin’:’1VXBR12EXCP901214′, ‘meter’:’59396′, ‘meter_unit’:’M’, ‘current’:true}, {‘date’:’2008-02-23′, ‘state’:’WI’, ‘vin’:’1VXBR12EXCP901214′, ‘meter’:’37398′, ‘meter_unit’:’M’, ‘current’:false}]

Description

A list of title records with the format:

date: The title record date
state: The 2-letter code for the issuing state
vin: The recorded VIN (may be old VIN)
meter: The odometer reading
meter_unit: ‘M’ for miles, ‘K’ for kilometers
current: Whether the title record is current, not historical

Field

jsi

Type

[{“date”:”2007-10-25″, “record_type”:”Junk And Salvage”, “brander_code”:”P000001″, “brander_name”:”Insurance Salvage, Inc.”, “brander_city”:”Milwaukee”, “brander_state”:”WI”, “brander_email”:””, “brander_phone”:”5556478921″, “vehicle_disposition”:”SOLD”, “intended_for_export”:”NO”}]

Description

A list of Junk/Salvage/Insurance records, each with attributes:

date: The brand date
record_type: The type of record. List of values: ‘Junk and Salvage’, ‘Insurers’.
brander_code: The brander’s code.
brander_name: The brander’s name.
brander_city: The brander’s city.
brander_state: The brander’s state.
brander_email: The brander’s email.
brander_phone: The brander’s phone.
vehicle_disposition: The vehicle’s reported disposition. List of values: ‘SCRAP’, ‘CRUSH’, ‘SOLD’, ‘PARTS’ (dismantled for parts), ‘RETAINED’ (owner-retained) or ‘TO BE DETERMINED’.
intended_for_export: Whether the vehicle is intended for export

Field

checks

Type

[{“brander_code”: “NY”, “brander_name”: “NEW YORK”, “brand_code”: “11”, “date”: “2015-02-10”, “brander_type”: “State”}]

Description

A list of brand records with the format: date: The title brand date. brand_code: The brand code brander_type: The brander’s type brander_name: The brander’s namedisposition: The vehicle’s reported disposition

Field

lie

Type

[{“record_type”: “Lien”, “vin”: “1VXBR12EXCP901214”, “date”: “2015-05-23”, “agency”: “Loan Agency, Inc.”}]

Description

A list of lien, impound, and export records (available as add-on):

record_type: One of: Lien, Impound, Export
date: The date of the event.
state: The US State in which the event occurred (if available)
status: The status of the vehicle (if available)
agency: The entity associated with the event (if available)
vin: The VIN associated with the event (for confirmation)

Field

thefts

Type

[{“vin”: “1VXBR12EXCP901214”, “date”: “2014-11-28”, “theft_status”: “Inactive”, “theft_reported_state”: “NJ”, “report_id”: “9L003768767”, “vehicle_year”: “05”, “vehicle_make”: “TOYOTA”, “date_of_theft”: “2014-11-28”, “date_of_recovery”: “2015-04-15”, “record_type”: “Theft Recovery”, “source_name”: “National Insurance Crime Bureau”, “source_phone”: “8004476282”, “source_website”: “www.nicb.org”, “source_city”: “Des Plaines”, “source_state”: “IL”, “source_zip”: “60018”, “source”: “nicb”}]

Description

A list of theft or theft recovery records (available as add-on):

record_type: List of values: Theft (reported stolen), Theft Recovery (reported recovered after stolen), Theft Report Withdrawn (previous theft report invalidated), Theft Recovery Withdrawn (previous theft recovery report invalidated)
date: The date of the record.
theft_status: Whether theft is “Active” or “Inactive”
theft_reported_date: The date the theft was reported
theft_reported_state: The 2-letter state code in which the theft was reported
vehicle_year: The 2-digit year of the vehicle reported stolen (if available)
vehicle_make: The make of the vehicle reported stolen (if available)
vehicle_model: The model of the vehicle reported stolen (if available)
source_name: The name of the reporting entity (ex: National Insurance Crime Bureau).
source_phone: The phone number of the reporting entity (ex: 800-447-6282).
source_website: The website of the reporting entity (ex: www.nicb.org).
source_city: The city of the reporting entity (ex: Des Plaines).
source_state: The state code of the reporting entity (ex: IL).
source_zip: The 5-digit zip code of the reporting entity (ex: 60018).

Field

accidents

Type

[{“vin”:”1VXBR12EXCP901214″, “date”:”2015-02-08″, “type”:”accident”, “report_id”:”170839″, “vehicle_year”:”2005″, “vehicle_make”:”TOYOTA”, “vehicle_style”:”4 DOOR SEDAN”, “manner_of_collision”:”REAR END”, “source_name”:”Crash Data Source, Inc.”, “source_phone”:”7689271872″, “source_website”:”crashdatasource-inc.com”, “source_city”:”Los Angeles”, “source_state”:”CA”, “source_zip”:”98001″, “source”:”cds_crash”}]

Description

A list of accident records (available as add-on):

  • date: The date of the record.

  • type: The type of record (must be “accident”).

  • report_id: The unique report identification number (if available).

  • vehicle_year: The year the vehicle was manufactured (if available).

  • vehicle_make: The manufacturer of the vehicle (if available).

  • vehicle_model: The model of the vehicle (if available).

  • vehicle_style: The style of the vehicle (if available).

  • vehicle_color: The color of the vehicle (if available).

  • vehicle_type: The body style of the vehicle (if available).

  • license_state: The state the vehicle was registered in at time of accident (if available).

  • damage_severity: The extent of the vehicle’s damage (if available).

  • estimated_damage: The financial estimate of the vehicle’s damage (if available).

  • estimated_speed: The estimated speed at which the vehicle impact occured (if available).

  • crash_severity: The severity of the accident as reported by source (if available).

  • posted_speed: The posted speed limit where the accident occured (if available).

  • manner_of_collision: The manner of vehicle collision (ex. front to rear).

  • impact_area: The area of the vehicle where the impact occurred (if available).

  • insurance_company: The insurance company associated with the vehicle at the time of accident (if available).

  • reporting_agency: The agency that reported the accident (if available).

  • crash_location: The location of the accident (if available).

  • airbags_deployed: Airbag deployment indicator (if available).

  • object_struck: The type of object which the vehicle had struck (if available).

  • source_name: The name of the reporting entity (ex. Arizona Dept of Public Safety).

  • source_phone: The phone number of the reporting entity (ex. 602-223-2000).

  • source_website: The website of the reporting entity (ex. www.azdps.gov).

  • source_city: The city of the reporting entity (ex. Phoenix).

  • source_state: The state code of the reporting entity (ex. AZ).

  • source_zip: The 5-digit zip code of the reporting entity (ex. 85009).

  • source: VinAudit internal source name (ex. az_crash).

Field

salvage

Type

[{“vin”:”1VXBR12EXCP901214″, “date”:”2015-08-30″, “type”:”salvage”, “listing_id”:”475661892″, “location”:”WA – SEATTLE”, “primary_damage”:”REAR END”, “secondary_damage”:”FRONT END”, “odometer”:”24301.0 mi (ACTUAL)”, “sale_document”:”WA – SALVAGE CERTIFICATE”, “exterior_color”:”CHARCOAL”}]

Description

A list of salvage records (available as add-on):

  • date: The date of the record.

  • type: The type of record (ex. salvage).

  • listing_id: The unique listing identification number for the salvage auction (if available).

  • location: The location of the vehicle (if available).

  • primary_damage: Description of primary damage associated with vehicle (ex. rear end).

  • secondary_damage: Description of secondary damage associated with vehicle (if available).

  • odometer: The listed odometer reading, as reported by source (if available).

  • sale_document: Description of associated documentation (ex. CA – salvage certificate)

  • estimated_damage: The estimated financial damage of the vehicle (if available).

  • exterior_color: The exterior color of the vehicle (if available).

Field

sale

Type

[{“vin”:”1VXBR12EXCP901214″, “date”:”2014-12-02″, “type”:”sale”, “listing_price”:”$8,988″, “vehicle_color”:”Charcoal”, “seller_type”:”Dealer”, “seller_name”:”Lee Toyota”, “seller_city”:”MIAMI”, “seller_state”:”FL”, “seller_zip”:”33101″}]

Description

A list of sale records (available as add-on):

  • date: The date of the record.

  • type: The type of record (must be “sale”).

  • listing_price: The listed price of the vehicle (if available).

  • vehicle_mileage: The listed mileage of the vehicle (if available).

  • vehicle_year: The listed year that the vehicle was manufactured (if available).

  • vehicle_color: The listed exterior color of the vehicle (if available).

  • seller_type: The type of seller that has listed the vehicle for sale (ex: dealer).

  • seller_name: The name of the seller that has listed the vehicle for sale (if available).

  • seller_city: The city of the seller that has listed the vehicle for sale (if available)

  • seller_state: The state of the seller that has listed the vehicle for sale (if available).

  • seller_zip: The zip code of the seller that has listed the vehicle for sale (if available).

Field

checks

Type

[{“brander_code”: “NY”, “brander_name”: “NEW YORK”, “brand_code”: “11”, “date”: “2015-02-10”, “brander_type”: “State”}]

Description

A list of brand records with the format:

  • date: The title brand date.

  • brand_code: The brand code

  • brander_type: The brander’s type. List of values: ‘State’

  • brander_name: The brander’s abbreviation (two-letter state code)

  • disposition: The vehicle’s reported disposition

Field

canada_registrations

Type

[{“jurisdiction”:”ON”, “status”:”normal”, “status_date”:”2020-01-14″, “registration_date”:”2020-01-14″, “registration_odometer”:”055733″, “registration_expiry_date”:””, “registration_odometer_unit”:”K”}]

Description

A list of Canadian registration records with the format:

  • jurisdiction: The province with the vehicle is registered

  • status: The vehicle’s status

  • status_date: The date of the reported status

  • registration_date: The date of registration

  • registration_odometer: The odometer reading at the time of registration

  • registration_expiry_date: The date the registration expires

  • registration_odometer_unit: The unit of measurement used to record the vehicle odometer

Field

canada_recalls

Type

[{“recall_number”:”2018587″, “recall_date”:”2018-10-26″, “affected_system”:”Engine”, “notification_type”:”Safety MFR”, “manufacturer_recall_number”:””, “units_affected”:”10,368″, “category”:”Car, SUV”, “recall_details”:”ON Certain Vehicles, THE Cooler…, “manufacturer_name”:”BMW”, “toll_free_number”:”1-800-567-2691″, “website”:”Https://Crm.bmw.ca/en-Ca/vehiclerecall”}]

Description

A list of Canadian recall records with the format:

  • recall_number: The recall ID

  • recall_date: The date the recall was issued

  • affected_system: The vehicle sytem affected by the recall

  • notification_type: The type of notification

  • manufacturer_recall_number: The recall number assinged by the manufacturer

  • units_affected: The number of units effected

  • category: The vehicle type classification

  • recall_details: The description of the recall

  • manufacturer_name: The vehicle manufacturer’s name

  • toll_free_number: Where to call for additoinal recall information

  • website: Where to visit for additional recall information

Field

canada_thefts

Type

[{“vin”:”1VXBR12EXCP901213″, “vehicle_type”:”car”, “license_number”:”AAH104″, “province”:”ON”, “vehicle_make”:”Toyota”, “vehicle_model”:”Corolla”, “vehicle_year”:”2005″, “license_year”:”2019″, “reported_stolen_in”:”ON”, “date_modified”:”2014-05-07″}]

Description

A list of Canadian theft records with the format:

  • vin: The vehicle identification number

  • vehicle_type: The type of vehicle

  • license_number: The vehicle license plate number

  • province: The province where the vehicle is registered

  • vehicle_make: The make of the vehicle

  • vehicle_year: The year the vehicle was manufactured

  • license_year: The year the vehicle was licensed

  • reported_stolen_in: The province where the vehicle was reported stolen

  • date_modified: The date the record was modified

Field

clean

Type

true

Description

Whether the report is free of title brands, salvage, and insurance records

One of:

  • true: Report is free of title brands, salvage, and insurance records

  • false: Report contains title brands, salvage, insurance records

Field

success

Type

1

Description

Whether the report has been generated

One of:

  • 1: Report was successfully generated

  • 0: An error occurred while generating the report

Field

error

Type

(blank)

Description

One of:

  • invalid_vin: Not a valid 17-digit VIN

  • failed_request: Authorization process failed

  • unauthorized_request: Invalid API Key/Username/Password

  • incomplete_report: NMVTIS database unavailable

  • expired_report: Report expired. Please request a new one

  • missing_report: Report not initialized. Please request a new one.

  • or blank if no error

Example Request

HTTP
https://api.vinaudit.com/v2/pullreport?id=00000000000002&key=MY_KEY&vin=1VXBR12EXCP901214&mode=test&user=MY_USER&pass=MY_PASS&format=json

Example Response

JSON
{
  "vin": "1VXBR12EXCP901214",
  "id": "00000000000002",
  "date": "2018-03-02 09:47:20 PST",
  "attributes": {
    "vin": "1VXBR12EXCP901214",
    "year": "2005",
    "make": "Toyota",
    "model": "Corolla",
    "trim": "CE",
    "engine": "1.8L L4 DOHC 16V",
    "style": "Sedan (4-Door)",
    "type": "PASSENGER CAR",
    "made_in": "JAPAN",
    "steering_type": "R&P",
    "anti-brake_system": "4-Wheel ABS",
    "overall_height": "58.50 Inches",
    "overall_length": "178.30 Inches",
    "overall_width": "66.90 Inches",
    "standard_seating": "5",
    "highway_mileage": "38 - 41 miles/gallon",
    "city_mileage": "30 - 32 miles/gallon"
  },
  "titles": [
    {
      "date": "2011-08-31",
      "state": "WA",
      "vin": "1VXBR12EXCP901214",
      "meter": "59396",
      "meter_unit": "M",
      "current": "true"
    },
    {
      "date": "2008-02-23",
      "state": "WA",
      "vin": "1VXBR12EXCP901214",
      "meter": "37398",
      "meter_unit": "M",
      "current": "false"
    }
  ],
  "jsi": [
    {
      "date": "2007-10-25",
      "record_type": "Junk And Salvage",
      "brander_code": "P000001",
      "brander_name": "Insurance Salvage, Inc.",
      "brander_city": "Milwaukee",
      "brander_state": "WI",
      "brander_email": "",
      "brander_phone": "5556478921",
      "vehicle_disposition": "SOLD",
      "intended_for_export": "NO"
    }
  ],
  "lien": [
    {
      "record_type": "Lien",
      "vin": "1VXBR12EXCP901214",
      "date": "2015-05-23",
      "agency": "Loan Agency, Inc."
    }
  ],
  "thefts": [
    {
      "vin": "1VXBR12EXCP901214",
      "date": "2014-11-28",
      "theft_status": "Inactive",
      "theft_reported_state": "NJ",
      "report_id": "9L003768767",
      "vehicle_year": "05",
      "vehicle_make": "TOYOTA",
      "date_of_theft": "2014-11-28",
      "date_of_recovery": "2015-04-15",
      "record_type": "Theft Recovery",
      "source_name": "National Insurance Crime Bureau",
      "source_phone": "8004476282",
      "source_website": "www.nicb.org",
      "source_city": "Des Plaines",
      "source_state": "IL",
      "source_zip": "60018",
      "source": "nicb"
    }
  ],
  "accidents": [
    {
      "vin": "1VXBR12EXCP901214",
      "date": "2015-02-08",
      "type": "accident",
      "repord_id": "170839",
      "vehicle_year": "2005",
      "vehicle_make": "TOYOTA",
      "vehicle_style": "4 DOOR SEDAN",
      "manner_of_collision": "REAR END",
      "source_name": "Crash Data Source, Inc.",
      "source_phone": "7689271872",
      "source_website": "crashdatasource-inc.com",
      "source_city": "Los Angeles",
      "source_state": "CA",
      "source_zip": "98001",
      "source": "cds_crash"
    }
  ],
  "salvage": [
    {
      "vin": "1VXBR12EXCP901214",
      "date": "2015-08-30",
      "type": "salvage",
      "listing_id": "475661892",
      "location": "WA - SEATTLE",
      "primary_damage": "REAR END",
      "secondary_damage": "FRONT END",
      "odometer": "24301.0 mi (ACTUAL)",
      "sale_document": "WA - SALVAGE CERTIFICATE",
      "exterior_color": "CHARCOAL"
    }
  ],
  "sale": [
    {
      "vin": "1VXBR12EXCP901214",
      "date": "2014-12-02",
      "type": "sale",
      "listing_price": "$8,988",
      "vehicle_color": "Charcoal",
      "seller_type": "Dealer",
      "seller_name": "Lee Toyota",
      "seller_city": "MIAMI",
      "seller_state": "FL",
      "seller_zip": "33101"
    }
  ],
  "checks": [
    {
      "brand_code": "11",
      "brander_type": "State",
      "brander_code": "NY",
      "brander_name": "NEW YORK",
      "date": "2015-02-10"
    }
  ],
  "success": true,
  "error": ""
}

Search Tips

  • This request can be re-issued repeatedly using the same ID and VIN.
  • Your API account is billed at most once for each unique report ID.
  • Once generated, re-issuing the request will return the cached report data.
  • The API may return the error message “NMVTIS database unavailable. Please retry later!” during the following scheduled maintenance times for the NMVTIS database: 1am-2am ET daily and 2am-5am ET Sundays.
  • Additional references: List of Brand Codes, List of State Codes